glassfish
  1. glassfish
  2. GLASSFISH-13111

ASURLClassLoader can be used after it is invalidated

    Details

    • Issuezilla Id:
      13,111
    1. server.log.tar.gz
      21 kB
      Jagadish
    2. threads_report.txt
      27 kB
      Jagadish

      Issue Links

        Activity

        Hide
        ljnelson added a comment -

        You have made my Friday. Thanks. I will wait for the nightly build and test it
        out.

        Show
        ljnelson added a comment - You have made my Friday. Thanks. I will wait for the nightly build and test it out.
        Hide
        Jagadish added a comment -

        Fix will be available from 4th Sep 2010 nightly.

        Show
        Jagadish added a comment - Fix will be available from 4th Sep 2010 nightly.
        Hide
        ljnelson added a comment -

        I can confirm that this is fixed in the 3.1 nightly build downloaded on
        September 6. Thanks again everyone.

        Show
        ljnelson added a comment - I can confirm that this is fixed in the 3.1 nightly build downloaded on September 6. Thanks again everyone.
        Hide
        jbreindel added a comment -

        I know this is a closed issue, but I seem to be having the same issue with Glassfish 4.0 Open Source Edition. I am using OpenJPA v2.2.2 and my application is not able to start because the persistent classes can't be loaded. I can attach my stack trace if need be.

        Show
        jbreindel added a comment - I know this is a closed issue, but I seem to be having the same issue with Glassfish 4.0 Open Source Edition. I am using OpenJPA v2.2.2 and my application is not able to start because the persistent classes can't be loaded. I can attach my stack trace if need be.
        Hide
        Sanjeeb Sahoo added a comment -

        Please open a new issue under the subcategory of entity-persistent. It seems to me that the persistence provider integration layer may be making incorrect use of classloader or OpenJPA has an issue. In later case, it needs to be fixed in OpenJPA.

        Show
        Sanjeeb Sahoo added a comment - Please open a new issue under the subcategory of entity-persistent. It seems to me that the persistence provider integration layer may be making incorrect use of classloader or OpenJPA has an issue. In later case, it needs to be fixed in OpenJPA.

          People

          • Assignee:
            Jagadish
            Reporter:
            ljnelson
          • Votes:
            0 Vote for this issue
            Watchers:
            5 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: